### Method

# Gio File move_async

since: 2.72

#### Declaration

    void
    g_file_move_async (
      GFile* source,
      GFile* destination,
      GFileCopyFlags flags,
      int io_priority,
      GCancellable* cancellable,
      GFileProgressCallback progress_callback,
      gpointer progress_callback_data,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously moves a file `source` to the location of `destination`. For details of the behaviour, see g_file_move().

If `progress_callback` is not `NULL`, then that function that will be called just like in g_file_move(). The callback will run in the default main context of the thread calling `g_file_move_async()` — the same context as `callback` is run in.

When the operation is finished, `callback` will be called. You can then call `g_file_move_finish()` to get the result of the operation.

Available since: 2.72

#### Parameters

`destination`

  Type: `GFile`

  `GFile` pointing to the destination location.

  The data is owned by the caller of the method.

`flags`

  Type: `GFileCopyFlags`

  Set of `GFileCopyFlags`.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`progress_callback`

  Type: `GFileProgressCallback`

  `GFileProgressCallback` function for updates.

  The argument can be `NULL`.

`progress_callback_data`

  Type: `gpointer`

  Gpointer to user data for the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.